OTP::Transform::Point::Module::rotation_va_module Struct Reference

The rotation_va_module struct. More...

`#include <transform.h>`

Inheritance diagram for OTP::Transform::Point::Module::rotation_va_module:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| rotation_va_module::iStream More...
void | oStream (PDU::Stream) const override
| rotation_va_module::oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

int32_t | Vrx
| x-axis rotational velocity
int32_t | Vry
| y-axis rotational velocity
int32_t | Vrz
| z-axis rotational velocity
int32_t | Arx
| x-axis rotational acceleration
int32_t | Ary
| y-axis rotational acceleration
int32_t | Arz
| z-axis rotational acceleration

## Detailed Description

The rotation_va_module struct.

## Member Function Documentation

## iStream()

void OTP::Transform::Point::Module::rotation_va_module::iStream | ( | PDU::Stream | stream | ) |

override

rotation_va_module::iStream

Parameters

  stream |

## oStream()

void OTP::Transform::Point::Module::rotation_va_module::oStream | ( | PDU::Stream | stream | ) | const

override

rotation_va_module::oStream

Parameters

  stream |

## streamSize()

size_t OTP::Transform::Point::Module::rotation_va_module::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.cpp